-- Puffin: A Tojaso FowlPlay Project
-- Adapter component for configuration data

local Adapter_SpellColors = {}
local EF = Puffin.ErrorFormat
local DB

local standardColors = {
	["buffs"] = "8ae234", ["debuffs"] = "fcaf3e", ["cooldowns"] = "fce94f", ["stance"] = "8ae234", ["power"] = "8ae234", ["weapon"] = "8ae234",
	["poison"] = "009900", ["magic"] = "3399ff", ["curse"] = "9900ff", ["disease"] = "996600G", ["default"] = "70a0d0", ["undefined"] = "808080"
}

local spellColors = {
	["Swiftmend"] = "204a87",
	["Cleanse"] = "fce94f",
	["Shadow Word: Pain"] = "a40000",
	["Skull Bash"] = "888a85",
	["Heroic Strike"] = "f57900",
	["Adaptation"] = "4e9a06",
	["Summon Doomguard"] = "a40000",
	["Inquisition"] = "fce94f",
	["Holy Word: Chastise"] = "c17d11",
	["Deadly Throw"] = "ad7fa8",
	["Cyclone"] = "888a85",
	["Fireball"] = "f57900",
	["Aftermath"] = "fcaf3e",
	["Kill Command"] = "ce5c00",
	["Explosive Shot"] = "fce94f",
	["Shield Block"] = "204a87",
	["Avert Harm"] = "fce94f",
	["Hex"] = "73d216",
	["Burrow Attack"] = "ff6eb4",
	["Camouflage"] = "888a85",
	["Shiv"] = "4e9a06",
	["Runic Corruption"] = "75507b",
	["Charge Stun"] = "7adbf2",
	["Blinding Light"] = "fce94f",
	["Healing Tide Totem"] = "73d216",
	["Circle of Healing"] = "fce94f",
	["Legacy of the White Tiger"] = "c4a000",
	["Demoralizing Roar"] = "c17d11",
	["Lay on Hands"] = "888a85",
	["Arcane Torrent"] = "204a87",
	["Ancient Power"] = "8f5902",
	["Disable"] = "f57900",
	["Sprint"] = "fcaf3e",
	["Lacerate"] = "5c3566",
	["Fervor"] = "204a87",
	["Shadowstep"] = "5c3566",
	["Feral Spirit"] = "7adbf2",
	["Turn Evil"] = "8f5902",
	["Fan of Knives"] = "ad7fa8",
	["Carrion Swarm"] = "4e9a06",
	["Frost School"] = "729fcf",
	["Remorseless Winter"] = "204a87",
	["Savage Defense"] = "f57900",
	["Nether Tempest"] = "5c3566",
	["Guardian Spirit"] = "3465a4",
	["Ironbark"] = "c17d11",
	["Healing Stream Totem"] = "204a87",
	["Rolling Thunder"] = "888a85",
	["Charge"] = "ef2929",
	["Demonic Fury"] = "75507b",
	["Divine Purpose"] = "ce5c00",
	["Heart of the Wild"] = "ce5c00",
	["Capacitor Totem"] = "204a87",
	["Zen Meditation"] = "7adbf2",
	["Wolverine Bite"] = "a40000",
	["Omen of Clarity"] = "73d216",
	["Bone Shield"] = "4e9a06",
	["Concussive Shot"] = "7adbf2",
	["Thrill of the Hunt"] = "ef2929",
	["Shield Wall"] = "5c3566",
	["Readiness"] = "729fcf",
	["Rockbiter Weapon"] = "c17d11",
	["Bloodthirst"] = "cc0000",
	["Grace of Air"] = "7adbf2",
	["Frenzied Regeneration"] = "4e9a06",
	["Leader of the Pack"] = "f57900",
	["Serpent's Swiftness"] = "ce5c00",
	["Thunderstomp"] = "888a85",
	["Barkskin"] = "e9b96e",
	["Sunder Armor"] = "e9b96e",
	["Burning Rush"] = "cc0000",
	["Light's Beacon"] = "fce94f",
	["Zen Flight"] = "204a87",
	["Whirlwind"] = "3465a4",
	["Blood Plague"] = "ef2929",
	["Health Funnel"] = "cc0000",
	["Silence"] = "ad7fa8",
	["Chi Sphere"] = "73d216",
	["Grimoire of Sacrifice"] = "ef2929",
	["Purify"] = "5c3566",
	["Seduction"] = "8f5902",
	["Ancient Crusader"] = "5c3566",
	["Staggering Shout"] = "e9b96e",
	["Vengeance"] = "75507b",
	["Touch of Death"] = "ef2929",
	["Living Seed"] = "c4a000",
	["Denounce"] = "f57900",
	["Soul Fire"] = "cc0000",
	["Commanding Shout"] = "ce5c00",
	["Blazing Speed"] = "f57900",
	["Summon Infernal"] = "4e9a06",
	["Howling Blast"] = "729fcf",
	["Vampiric Embrace"] = "3465a4",
	["Track Dragonkin"] = "fcaf3e",
	["Phantasm"] = "c17d11",
	["Cauterize"] = "ce5c00",
	["Dash"] = "73d216",
	["Devastate"] = "ce5c00",
	["Water Shield"] = "204a87",
	["Mend Pet"] = "f57900",
	["Searing Totem"] = "ce5c00",
	["Arcing Light"] = "8f5902",
	["Chakra: Sanctuary"] = "edd400",
	["Mastery: Critical Block"] = "fce94f",
	["Concussive Barrage"] = "7adbf2",
	["Spirit Shell"] = "edd400",
	["Curse of Exhaustion"] = "888a85",
	["Pursuit"] = "7adbf2",
	["Leap"] = "ad7fa8",
	["Lightning Shield"] = "3465a4",
	["Fire Breath"] = "fcaf3e",
	["Counterspell"] = "ad7fa8",
	["Garrote - Silence"] = "cc0000",
	["Incanter's Ward"] = "4e9a06",
	["Dalaran Brilliance"] = "75507b",
	["Sword and Board"] = "c4a000",
	["Stance of the Sturdy Ox"] = "c4a000",
	["Censure"] = "c4a000",
	["Whiplash"] = "ad7fa8",
	["Consecration"] = "fce94f",
	["Berserker Stance"] = "7adbf2",
	["Far Sight"] = "f57900",
	["Howl of Terror"] = "ad7fa8",
	["Storm Bolt"] = "73d216",
	["Starfall"] = "5c3566",
	["Flying Serpent Kick"] = "729fcf",
	["Bloodsurge"] = "4e9a06",
	["Mortal Wounds"] = "cc0000",
	["Mastery: Unshackled Fury"] = "cc0000",
	["Rushing Jade Wind"] = "73d216",
	["Skull Banner"] = "cc0000",
	["Tiger Power"] = "73d216",
	["Rupture"] = "ef2929",
	["Stormstrike"] = "729fcf",
	["Aura of the Elements"] = "fcaf3e",
	["Spirit Beast Blessing"] = "204a87",
	["Cackling Howl"] = "e9b96e",
	["Go for the Throat"] = "ce5c00",
	["Aspect of the Pack"] = "888a85",
	["Running Wild"] = "888a85",
	["Treant Form"] = "7adbf2",
	["Seal of Insight"] = "fcaf3e",
	["Earth Shock"] = "c4a000",
	["Fire Nova"] = "f57900",
	["Intimidating Shout"] = "75507b",
	["Expose Armor"] = "75507b",
	["Scarlet Fever"] = "ef2929",
	["Incinerate"] = "ce5c00",
	["Hellfire"] = "fcaf3e",
	["Shadow Word: Death"] = "cc0000",
	["Silenced - Improved Counterspell"] = "75507b",
	["Unholy Presence"] = "8ae234",
	["Cooking Fire"] = "f57900",
	["Spirit Mend"] = "73d216",
	["Portal: Exodar"] = "729fcf",
	["Ultimatum"] = "729fcf",
	["Seal of Righteousness"] = "204a87",
	["Shadowflame"] = "5c3566",
	["Void Tendrils"] = "ad7fa8",
	["Torment"] = "5c3566",
	["Scent of Blood"] = "f57900",
	["Polymorph"] = "888a85",
	["Aspect of the Iron Hawk"] = "3465a4",
	["Smack"] = "8f5902",
	["Safeguard"] = "edd400",
	["Subterfuge"] = "ce5c00",
	["Hand of Gul'dan"] = "ad7fa8",
	["Drain Soul"] = "204a87",
	["Anti-Magic Shell"] = "4e9a06",
	["Frost Fever"] = "204a87",
	["Arcane Missiles!"] = "729fcf",
	["Will of the Forsaken"] = "ad7fa8",
	["Flare"] = "f57900",
	["Roar of Courage"] = "fce94f",
	["Pyromaniac"] = "ce5c00",
	["Flametongue Weapon"] = "ce5c00",
	["Burst of Speed"] = "4e9a06",
	["Lightning Breath"] = "729fcf",
	["Glaive Toss"] = "204a87",
	["Taste for Blood"] = "ce5c00",
	["Cobra Strikes"] = "ff6eb4",
	["Glyph of Word of Glory"] = "888a85",
	["Astral Storm"] = "5c3566",
	["Sap"] = "ce5c00",
	["Enveloping Mist"] = "4e9a06",
	["Vanish"] = "888a85",
	["Shadow Shield"] = "ad7fa8",
	["Entrapment"] = "edd400",
	["Surge of Darkness"] = "5c3566",
	["Slice and Dice"] = "ce5c00",
	["Roar of Recovery"] = "204a87",
	["Holy Radiance"] = "c4a000",
	["Vendetta"] = "75507b",
	["Threatening Presence"] = "75507b",
	["Shambling Rush"] = "5c3566",
	["Combustion"] = "c4a000",
	["Cleanse Spirit"] = "888a85",
	["Tiger Strikes"] = "888a85",
	["Lava Burst"] = "a40000",
	["Ferocious Bite"] = "ce5c00",
	["Arcane Explosion"] = "5c3566",
	["Track Elementals"] = "3465a4",
	["Ursol's Vortex"] = "204a87",
	["Guard"] = "edd400",
	["Pursuit of Justice"] = "fce94f",
	["Fire Totem"] = "cc0000",
	["Detection"] = "ce5c00",
	["Aspect of the Cheetah"] = "fce94f",
	["Spell Lock"] = "e9b96e",
	["Imp Swarm"] = "ce5c00",
	["Reincarnation"] = "75507b",
	["Sweeping Strikes"] = "ce5c00",
	["Stormlash Totem"] = "75507b",
	["Aquatic Form"] = "7adbf2",
	["Hibernate"] = "75507b",
	["Potions"] = "8ae234",
	["Blood Presence"] = "cc0000",
	["Owlkin Frenzy"] = "c4a000",
	["Wound Poison"] = "f57900",
	["Posthaste"] = "8f5902",
	["Spirit Bond"] = "e9b96e",
	["Guardian of Ancient Kings"] = "edd400",
	["Rude Interruption"] = "cc0000",
	["Escape Artist"] = "fce94f",
	["Surge of Light"] = "ce5c00",
	["Revealing Strike"] = "8f5902",
	["Body and Soul"] = "4e9a06",
	["Contemplation"] = "4e9a06",
	["Scare Beast"] = "3465a4",
	["Nature School"] = "8ae234",
	["Force of Nature"] = "8ae234",
	["Shooting Stars"] = "3465a4",
	["Adrenaline Rush"] = "fcaf3e",
	["Divine Insight"] = "ce5c00",
	["Crusader Strike"] = "edd400",
	["Cloak of Shadows"] = "ad7fa8",
	["Frost Bomb"] = "3465a4",
	["Demonic Circle: Teleport"] = "4e9a06",
	["Pain Suppression"] = "888a85",
	["Bastion of Glory"] = "5c3566",
	["Lesser Invisibility"] = "204a87",
	["Lynx Rush"] = "edd400",
	["Windwalk"] = "888a85",
	["Terrifying Roar"] = "73d216",
	["Double Time"] = "f57900",
	["Provoke"] = "ef2929",
	["Portal: Orgrimmar"] = "729fcf",
	["Tremor Totem"] = "c4a000",
	["Infected Wounds"] = "a40000",
	["Serenity Dust"] = "888a85",
	["Wild Growth"] = "3465a4",
	["Conflagrate"] = "edd400",
	["Track Beasts"] = "8f5902",
	["Metamorphosis"] = "ad7fa8",
	["Deep Freeze"] = "7adbf2",
	["Chains of Ice"] = "3465a4",
	["Recklessness"] = "cc0000",
	["Shadow School"] = "ad7fa8",
	["Hamstring"] = "edd400",
	["Zen Pilgrimage"] = "729fcf",
	["Distract"] = "f57900",
	["Mind-numbing Poison"] = "888a85",
	["Death Rune"] = "ad7fa8",
	["Divine Hymn"] = "edd400",
	["Spectral Guise"] = "7adbf2",
	["Cenarion Ward"] = "4e9a06",
	["Felstorm"] = "fcaf3e",
	["Froststorm Breath"] = "204a87",
	["Backdraft"] = "fce94f",
	["Deadly Calm"] = "e9b96e",
	["Portal: Theramore"] = "729fcf",
	["Tear Armor"] = "ef2929",
	["Nature's Grace"] = "e9b96e",
	["Acid Spit"] = "a40000",
	["Forbearance"] = "8f5902",
	["Mind Spike"] = "ad7fa8",
	["Mind Flay"] = "f57900",
	["Healing Rain"] = "729fcf",
	["Blink"] = "5c3566",
	["Deep Wounds"] = "ef2929",
	["Fear Ward"] = "f57900",
	["Inferno Blast"] = "a40000",
	["Diffuse Magic"] = "75507b",
	["Holy Word: Sanctuary"] = "c17d11",
	["Defensive Stance"] = "888a85",
	["Frostjaw"] = "7adbf2",
	["Symbiosis"] = "4e9a06",
	["The Art of War"] = "ce5c00",
	["Death Pact"] = "f57900",
	["Chaos Wave"] = "204a87",
	["Strength of Soul"] = "f57900",
	["Survival Instincts"] = "ce5c00",
	["Solar Beam"] = "edd400",
	["Dark Simulacrum"] = "75507b",
	["Blink Strike"] = "ad7fa8",
	["Raging Blow!"] = "cc0000",
	["Hand of Light"] = "fce94f",
	["Bear Hug"] = "cc0000",
	["Energizing Brew"] = "8ae234",
	["Nether Shock"] = "ad7fa8",
	["Grapple Weapon"] = "c17d11",
	["Widow Venom"] = "e9b96e",
	["Quaking Palm"] = "fcaf3e",
	["Lock and Load"] = "a40000",
	["Charging Ox Wave"] = "edd400",
	["Might of Ursoc"] = "8ae234",
	["Hand of Sacrifice"] = "8ae234",
	["Ardent Defender"] = "c17d11",
	["Thunder Focus Tea"] = "204a87",
	["Tranquility"] = "75507b",
	["Physical Vulnerability"] = "204a87",
	["Lifeblood"] = "73d216",
	["Mastery: Shadowy Recall"] = "fce94f",
	["Celestial Alignment"] = "204a87",
	["Spore Cloud"] = "8f5902",
	["Flamestrike"] = "fcaf3e",
	["Serendipity"] = "729fcf",
	["Judgments of the Wise"] = "7adbf2",
	["Frost Presence"] = "204a87",
	["Unleash Flame"] = "a40000",
	["Judgments of the Bold"] = "7adbf2",
	["Eclipse (Lunar)"] = "3465a4",
	["Renewal"] = "7adbf2",
	["Leap of Faith"] = "204a87",
	["Mighty Bash"] = "7adbf2",
	["Flee"] = "a40000",
	["Evocation"] = "75507b",
	["Selfless Healer"] = "fce94f",
	["Soul Harvest"] = "5c3566",
	["Serpent's Zeal"] = "73d216",
	["Portal: Undercity"] = "729fcf",
	["Immolate"] = "f57900",
	["Burden of Guilt"] = "204a87",
	["Stormblast"] = "5c3566",
	["Ring of Frost"] = "3465a4",
	["Windfury Weapon"] = "888a85",
	["Aspect of the Fox"] = "fcaf3e",
	["Disrupting Shout"] = "c4a000",
	["Unleash Life"] = "4e9a06",
	["Warbringer"] = "fcaf3e",
	["Portal: Ironforge"] = "729fcf",
	["Confession"] = "73d216",
	["Breath of Fire"] = "ef2929",
	["Divine Star"] = "fce94f",
	["Divine Aegis"] = "c17d11",
	["Retreat"] = "204a87",
	["Spirit of Redemption"] = "888a85",
	["Blessed Healing"] = "c4a000",
	["Maim"] = "c17d11",
	["Unending Breath"] = "729fcf",
	["Seed of Corruption"] = "75507b",
	["Shadow Infusion"] = "4e9a06",
	["Greater Invisibility"] = "204a87",
	["Sunfire"] = "f57900",
	["Fel Armor"] = "8ae234",
	["Earthliving Weapon"] = "8ae234",
	["Death Coil"] = "73d216",
	["Blood Tap"] = "cc0000",
	["Harvest Life"] = "5c3566",
	["Hand of Salvation"] = "8ae234",
	["Gorefiend's Grasp"] = "75507b",
	["Impending Victory"] = "5c3566",
	["Shell Shield"] = "4e9a06",
	["Demoralizing Shout"] = "4e9a06",
	["Bladestorm"] = "ce5c00",
	["Arcane Barrage"] = "5c3566",
	["Grounding Totem"] = "75507b",
	["Summon Black Ox Statue"] = "fce94f",
	["Furious Howl"] = "4e9a06",
	["Demoralizing Screech"] = "8f5902",
	["Grimoire of Service"] = "fcaf3e",
	["Juggernaut"] = "8f5902",
	["Incite"] = "c17d11",
	["Wild Mushroom: Bloom"] = "f57900",
	["Meat Cleaver"] = "8f5902",
	["Desperate Prayer"] = "fcaf3e",
	["Elemental Mastery"] = "5c3566",
	["Burning Embers"] = "cc0000",
	["Earthliving"] = "75507b",
	["Moonfire"] = "7adbf2",
	["Paralysis"] = "ad7fa8",
	["Innervate"] = "729fcf",
	["Ice Floes"] = "204a87",
	["Unholy Aura"] = "fcaf3e",
	["Shield Barrier"] = "ad7fa8",
	["Purify Spirit"] = "ad7fa8",
	["Flurry"] = "cc0000",
	["Stormlash"] = "75507b",
	["Incarnation: Son of Ursoc"] = "7adbf2",
	["Last Stand"] = "e9b96e",
	["Flight Form"] = "7adbf2",
	["Pummel"] = "c17d11",
	["Portal: Stonard"] = "729fcf",
	["Regrowth"] = "4e9a06",
	["Stance of the Wise Serpent"] = "4e9a06",
	["Trueshot Aura"] = "8f5902",
	["Misdirection"] = "7adbf2",
	["Shallow Insight"] = "ce5c00",
	["Roll"] = "8ae234",
	["Hand of Freedom"] = "8ae234",
	["Pack Hobgoblin"] = "fce94f",
	["Elemental Oath"] = "204a87",
	["Kidney Shot"] = "c4a000",
	["Stone Bulwark"] = "e9b96e",
	["Mastery: Gift of the Serpent"] = "4e9a06",
	["Conjure Refreshment Table"] = "5c3566",
	["Tidal Waves"] = "7adbf2",
	["Path of Frost"] = "729fcf",
	["Heroic Leap"] = "a40000",
	["Blessing of Kings"] = "729fcf",
	["Void-Touched"] = "888a85",
	["Monstrous Blow"] = "7adbf2",
	["Silencing Shot"] = "5c3566",
	["Light's Hammer"] = "fce94f",
	["Unending Resolve"] = "a40000",
	["Call of the Elements"] = "4e9a06",
	["Mind Sear"] = "5c3566",
	["Twilight Ward"] = "c17d11",
	["Dark Transformation"] = "8f5902",
	["Divine Guardian"] = "c4a000",
	["Kill Shot"] = "ef2929",
	["Smite"] = "8ae234",
	["Trap Launcher"] = "a40000",
	["Nightmare"] = "ad7fa8",
	["Divine Storm"] = "c4a000",
	["Legacy of the Emperor"] = "8ae234",
	["Sparring"] = "c4a000",
	["Lifebloom"] = "73d216",
	["Shadow Walk"] = "5c3566",
	["Shadow Bulwark"] = "ad7fa8",
	["Necrotic Strike"] = "ce5c00",
	["Divine Favor"] = "edd400",
	["Snatch"] = "c17d11",
	["Typhoon"] = "ad7fa8",
	["Freezing Fog"] = "729fcf",
	["Angelic Bulwark"] = "edd400",
	["Bloodthirsty"] = "ce5c00",
	["Mastery: Illuminated Healing"] = "c4a000",
	["Sanctuary of the Ox"] = "c4a000",
	["Hammer of Justice"] = "7adbf2",
	["Sacrificial Pact"] = "c17d11",
	["Blind"] = "888a85",
	["Jab"] = "4e9a06",
	["Track Humanoids"] = "729fcf",
	["Ice Block"] = "3465a4",
	["Preparation"] = "ad7fa8",
	["Glyph of Flash of Light"] = "888a85",
	["Arcane Power"] = "3465a4",
	["Raise Dead"] = "888a85",
	["Alter Time"] = "3465a4",
	["Create Soulwell"] = "ad7fa8",
	["Fire Blast"] = "a40000",
	["Conversion"] = "8ae234",
	["Wild Charge"] = "5c3566",
	["Execution Sentence"] = "edd400",
	["Elusive Brew"] = "c4a000",
	["Track Giants"] = "204a87",
	["Cascade"] = "c4a000",
	["Berserk"] = "ce5c00",
	["Spell Reflection"] = "888a85",
	["Havoc"] = "ad7fa8",
	["Pounce Bleed"] = "e9b96e",
	["Resuscitate"] = "888a85",
	["Kil'jaeden's Cunning"] = "ad7fa8",
	["Aspect of the Hawk"] = "3465a4",
	["Serpent Sting"] = "8f5902",
	["Expel Harm"] = "8ae234",
	["Aura of Enfeeblement"] = "fcaf3e",
	["Unbreakable Spirit"] = "8f5902",
	["Guarded by the Light"] = "fcaf3e",
	["Chakra: Chastise"] = "c4a000",
	["Ice Trap"] = "7adbf2",
	["Frost Shock"] = "7adbf2",
	["Recuperate"] = "73d216",
	["Gnaw"] = "a40000",
	["Dark Soul"] = "ce5c00",
	["Travel Form"] = "7adbf2",
	["Nature's Swiftness"] = "204a87",
	["Mastery: Total Eclipse"] = "3465a4",
	["Swift Reflexes"] = "5c3566",
	["Invocation"] = "5c3566",
	["Ancestral Swiftness"] = "3465a4",
	["Seal of Command"] = "a40000",
	["Twist of Fate"] = "5c3566",
	["Fire School"] = "ef2929",
	["Runic Empowerment"] = "5c3566",
	["Backlash"] = "ce5c00",
	["Penance"] = "4e9a06",
	["Berserking"] = "ef2929",
	["Corpse Explosion"] = "a40000",
	["Smoke Bomb"] = "888a85",
	["Rest"] = "cc0000",
	["Web"] = "5c3566",
	["Mocking Banner"] = "ad7fa8",
	["Unbound Will"] = "c17d11",
	["Mangle"] = "a40000",
	["Overpower"] = "c4a000",
	["Huddle"] = "8f5902",
	["Shadow Orbs"] = "ad7fa8",
	["Remove Corruption"] = "75507b",
	["Revenge"] = "8f5902",
	["Die by the Sword"] = "f57900",
	["Unleashed Rage"] = "fcaf3e",
	["Pillar of Frost"] = "7adbf2",
	["Disarm"] = "c17d11",
	["Mastery: Strikes of Opportunity"] = "a40000",
	["Holy Shock"] = "fce94f",
	["Thunder Clap"] = "4e9a06",
	["Mass Dispel"] = "5c3566",
	["Lava Surge"] = "f57900",
	["Glyph of Rejuvenation"] = "4e9a06",
	["Rake"] = "5c3566",
	["Mastery: Shield Discipline"] = "fce94f",
	["Life Tap"] = "8ae234",
	["Soul Swap"] = "ff6eb4",
	["Cauterize Master"] = "ce5c00",
	["Enrage"] = "cc0000",
	["Garrote"] = "cc0000",
	["Living Bomb"] = "a40000",
	["Dark Soul: Misery"] = "ce5c00",
	["Primal Strike"] = "e9b96e",
	["Levitate"] = "888a85",
	["Shadow Bite"] = "75507b",
	["Mastery: Elusive Brawler"] = "e9b96e",
	["Chain Heal"] = "73d216",
	["Explosive Trap"] = "f57900",
	["Death's Advance"] = "ad7fa8",
	["Master Marksman"] = "5c3566",
	["Hand of Protection"] = "8ae234",
	["Track Hidden"] = "8f5902",
	["Mastery: Nature's Guardian"] = "7adbf2",
	["Predatory Swiftness"] = "c4a000",
	["Frostbrand Weapon"] = "7adbf2",
	["Shamanistic Rage"] = "ef2929",
	["Disengage"] = "5c3566",
	["Portal: Darnassus"] = "729fcf",
	["Gift of the Naaru"] = "204a87",
	["Intervene"] = "fce94f",
	["Feint"] = "ad7fa8",
	["Bear Form"] = "7adbf2",
	["Incarnation: Tree of Life"] = "7adbf2",
	["Unleash Elements"] = "ff6eb4",
	["Glyph of Mind Spike"] = "5c3566",
	["Mote of Flame"] = "ef2929",
	["Mage Armor"] = "729fcf",
	["Mark of the Wild"] = "ff6eb4",
	["Qiraji Fortitude"] = "a40000",
	["Eye of Kilrogg"] = "e9b96e",
	["Holy Word: Serenity"] = "c17d11",
	["Ravage"] = "8f5902",
	["Rallying Cry"] = "204a87",
	["Enslave Demon"] = "7adbf2",
	["Shadowburn"] = "888a85",
	["Water Totem"] = "729fcf",
	["Death Grip"] = "75507b",
	["Bloodbath"] = "a40000",
	["Scatter Shot"] = "888a85",
	["Mass Spell Reflection"] = "888a85",
	["Shadowform"] = "5c3566",
	["Raging Blow"] = "ef2929",
	["Icy Veins"] = "729fcf",
	["Chilled"] = "204a87",
	["Unholy Frenzy"] = "8ae234",
	["Evangelism"] = "8f5902",
	["Mastery: Combo Breaker"] = "4e9a06",
	["Conjure Familiar"] = "4e9a06",
	["Ancient Portal: Dalaran"] = "729fcf",
	["Entangling Roots"] = "8f5902",
	["Pyroblast"] = "f57900",
	["Hammer of the Righteous"] = "fce94f",
	["Clearcasting"] = "3465a4",
	["Unstable Affliction"] = "f57900",
	["Demonic Leap"] = "4e9a06",
	["Transcendence: Transfer"] = "ff6eb4",
	["Stay of Execution"] = "edd400",
	["Fist of Justice"] = "7adbf2",
	["Powershot"] = "fce94f",
	["Icebound Fortitude"] = "7adbf2",
	["Swipe"] = "c4a000",
	["Glyph of Mind Blast"] = "ce5c00",
	["Unholy Rune"] = "8ae234",
	["Shadow Bolt"] = "5c3566",
	["Enraged Regeneration"] = "a40000",
	["Echo of the Elements"] = "f57900",
	["Fists of Fury"] = "729fcf",
	["Revival"] = "4e9a06",
	["Ancient Hysteria"] = "5c3566",
	["Chakra: Serenity"] = "5c3566",
	["Presence of Mind"] = "888a85",
	["Remove Curse"] = "75507b",
	["Beacon of Light"] = "fce94f",
	["Nature's Vigil"] = "73d216",
	["Divine Protection"] = "fce94f",
	["Soul Shards"] = "ad7fa8",
	["Dive"] = "5c3566",
	["Claw"] = "a40000",
	["Demonic Circle: Summon"] = "4e9a06",
	["Ankle Crack"] = "8f5902",
	["Fire and Brimstone"] = "fcaf3e",
	["Ice Lance"] = "3465a4",
	["Holy Wrath"] = "ce5c00",
	["Suffering"] = "ad7fa8",
	["Infusion of Light"] = "c4a000",
	["Swift Flight Form"] = "7adbf2",
	["Earth Shield"] = "8f5902",
	["Angelic Feather"] = "ce5c00",
	["Riptide"] = "3465a4",
	["Displacer Beast"] = "3465a4",
	["Dust Cloud"] = "e9b96e",
	["Rain of Fire"] = "cc0000",
	["Judgment"] = "ce5c00",
	["Ghost Wolf"] = "5c3566",
	["Earthbind"] = "888a85",
	["Dazed"] = "7adbf2",
	["Charm Woodland Creature"] = "ff6eb4",
	["Brain Freeze"] = "888a85",
	["Clench"] = "c4a000",
	["Arcane Blast"] = "5c3566",
	["Ghost"] = "888a85",
	["Feign Death"] = "4e9a06",
	["Blade Flurry"] = "ce5c00",
	["Hunter's Mark"] = "ef2929",
	["Ancestral Guidance"] = "729fcf",
	["Wild Mushroom: Detonate"] = "f57900",
	["Frostbrand Attack"] = "7adbf2",
	["Transform: Worgen"] = "888a85",
	["Soothe"] = "8f5902",
	["Shroud of Concealment"] = "5c3566",
	["Bloodlust"] = "ef2929",
	["Disorienting Roar"] = "8f5902",
	["Wind Shear"] = "888a85",
	["Ignite"] = "cc0000",
	["Mana Tide Totem"] = "204a87",
	["Dark Command"] = "fcaf3e",
	["Silenced - Gag Order"] = "c17d11",
	["Singe Magic"] = "e9b96e",
	["Soulstone"] = "a40000",
	["Moderate Insight"] = "ce5c00",
	["Portal: Tol Barad"] = "729fcf",
	["Soulshatter"] = "7adbf2",
	["Righteous Fury"] = "a40000",
	["Psyfiend"] = "75507b",
	["Sacred Shield"] = "edd400",
	["Disrupted Nether"] = "ad7fa8",
	["Vigilance"] = "5c3566",
	["Thrash"] = "888a85",
	["Focus Fire"] = "ce5c00",
	["Earthgrab Totem"] = "8f5902",
	["Summon Gargoyle"] = "c17d11",
	["Chimera Shot"] = "75507b",
	["Mirror Image"] = "729fcf",
	["Frozen Orb"] = "204a87",
	["Leeching Poison"] = "73d216",
	["Heroism"] = "f57900",
	["Incarnation"] = "7adbf2",
	["Starsurge"] = "75507b",
	["Venom Web Spray"] = "5c3566",
	["Rune Tap"] = "a40000",
	["Unleash Earth"] = "8f5902",
	["Piercing Howl"] = "8f5902",
	["Blood Fury"] = "ef2929",
	["Spinning Crane Kick"] = "73d216",
	["Thunderstorm"] = "204a87",
	["Water Walking"] = "888a85",
	["Mana Tide"] = "204a87",
	["Demoralizing Banner"] = "8ae234",
	["Dematerialize"] = "5c3566",
	["Molten Core"] = "fcaf3e",
	["Faerie Fire"] = "ff6eb4",
	["Frenzy"] = "ce5c00",
	["Mind Vision"] = "c4a000",
	["Elixirs"] = "ff6eb4",
	["Curse of the Elements"] = "ad7fa8",
	["Moonkin Form"] = "7adbf2",
	["Heart of the Crusader"] = "fce94f",
	["Dominate Mind"] = "5c3566",
	["Roar of Sacrifice"] = "e9b96e",
	["Mastery: Frostburn"] = "7adbf2",
	["Healing Stream"] = "204a87",
	["Daybreak"] = "ce5c00",
	["Heart of the Phoenix"] = "fce94f",
	["Sting"] = "e9b96e",
	["Blizzard"] = "3465a4",
	["Lava Lash"] = "cc0000",
	["Savage Roar"] = "4e9a06",
	["Shadow Dance"] = "204a87",
	["Devouring Plague"] = "5c3566",
	["Will of the Necropolis"] = "f57900",
	["Devour Magic"] = "5c3566",
	["Incarnation: Chosen of Elune"] = "7adbf2",
	["Conductivity"] = "3465a4",
	["Hymn of Hope"] = "888a85",
	["Psychic Scream"] = "204a87",
	["Eagle Eye"] = "7adbf2",
	["Wild Strike"] = "a40000",
	["Power Word: Fortitude"] = "7adbf2",
	["Arcane Brilliance"] = "7adbf2",
	["Hammer of Wrath"] = "4e9a06",
	["Invisibility"] = "204a87",
	["Replenishment"] = "729fcf",
	["Weakened Armor"] = "e9b96e",
	["Hurricane"] = "75507b",
	["Every Man for Himself"] = "fce94f",
	["Dark Intent"] = "5c3566",
	["Grand Crusader"] = "ce5c00",
	["Control Undead"] = "4e9a06",
	["Primal Wisdom"] = "ff6eb4",
	["Inner Fire"] = "fcaf3e",
	["Power Word: Barrier"] = "c4a000",
	["Malefic Grasp"] = "fcaf3e",
	["Beast Cleave"] = "ef2929",
	["Summon Water Elemental"] = "73d216",
	["Desecrated Ground"] = "4e9a06",
	["Shadowmeld"] = "5c3566",
	["Paralytic Poison"] = "888a85",
	["Crippling Poison"] = "8f5902",
	["Frost Rune"] = "729fcf",
	["Exhilaration"] = "5c3566",
	["Cat Form"] = "7adbf2",
	["Fireworks"] = "cc0000",
	["Spirit Walk"] = "edd400",
	["Anti-Magic Zone"] = "888a85",
	["Rapid Recuperation"] = "cc0000",
	["Tricks of the Trade"] = "a40000",
	["Sinister Strike"] = "75507b",
	["Mortal Coil"] = "8ae234",
	["Rapid Fire"] = "cc0000",
	["Arcane Charge"] = "5c3566",
	["Shadow Blades"] = "204a87",
	["Redirect"] = "f57900",
	["Berserker Rage"] = "f57900",
	["Mortal Strike"] = "204a87",
	["Air Totem"] = "5c3566",
	["GCD"] = "888a85",
	["Inner Focus"] = "888a85",
	["Wyvern Sting"] = "73d216",
	["Prey on the Weak"] = "ef2929",
	["Long Arm of the Law"] = "ce5c00",
	["Maelstrom Weapon"] = "5c3566",
	["Shield of the Righteous"] = "5c3566",
	["Windwalk Totem"] = "888a85",
	["Snake Trap"] = "e9b96e",
	["Fungal Growth"] = "204a87",
	["Stealth"] = "3465a4",
	["Blood Rune"] = "ef2929",
	["Rebirth"] = "5c3566",
	["Putrid Bulwark"] = "888a85",
	["Incarnation: King of the Jungle"] = "7adbf2",
	["Unleash Wind"] = "888a85",
	["Holy Avenger"] = "fce94f",
	["Stoneform"] = "fcaf3e",
	["Flash of Light"] = "fce94f",
	["Acherus Deathcharger"] = "3465a4",
	["Lightwell"] = "c4a000",
	["Mastery: Ignite"] = "ce5c00",
	["Astral Shift"] = "ad7fa8",
	["Shadowfury"] = "75507b",
	["Kick"] = "888a85",
	["Light of the Ancient Kings"] = "fce94f",
	["Narrow Escape"] = "cc0000",
	["Earth Totem"] = "8f5902",
	["Blood Shield"] = "a40000",
	["Dark Soul: Knowledge"] = "ce5c00",
	["Thunderclap"] = "204a87",
	["Ancient Healer"] = "ce5c00",
	["Exorcism"] = "f57900",
	["Monstrous Bite"] = "c17d11",
	["Frostfire Bolt"] = "c4a000",
	["Battle Stance"] = "a40000",
	["Bombardment"] = "cc0000",
	["Nether Attunement"] = "3465a4",
	["Weakened Blows"] = "888a85",
	["Rabid"] = "f57900",
	["Feed Pet"] = "e9b96e",
	["Keg Smash"] = "c17d11",
	["Arcane School"] = "fcaf3e",
	["Fortifying Brew"] = "c4a000",
	["Demonic Calling"] = "4e9a06",
	["Horn Toss"] = "8f5902",
	["Unholy Blight"] = "888a85",
	["Premeditation"] = "ad7fa8",
	["Deadly Poison"] = "4e9a06",
	["Flame Shock"] = "a40000",
	["Dark Apotheosis"] = "5c3566",
	["Nature's Guardian"] = "729fcf",
	["Sonic Blast"] = "e9b96e",
	["Shield Slam"] = "c4a000",
	["Battle Shout"] = "c4a000",
	["Lava Breath"] = "c4a000",
	["Chain Lightning"] = "729fcf",
	["Holy Prism"] = "fce94f",
	["Eviscerate"] = "a40000",
	["Spiritwalker's Grace"] = "4e9a06",
	["Shackle Undead"] = "f57900",
	["Envenom"] = "4e9a06",
	["Earthbind Totem"] = "888a85",
	["Dragon's Breath"] = "fcaf3e",
	["War Stomp"] = "fcaf3e",
	["Earth Elemental Totem"] = "c17d11",
	["Eclipse (Solar)"] = "c17d11",
	["Cheap Shot"] = "204a87",
	["Cheat Death"] = "ce5c00",
	["Dire Beast"] = "888a85",
	["Transcendence"] = "4e9a06",
	["Burning Wrath"] = "cc0000",
	["Thick Hide"] = "c17d11",
	["Rip"] = "204a87",
	["Astral Communion"] = "5c3566",
	["Drain Life"] = "8ae234",
	["Blackout Kick"] = "ad7fa8",
	["Steady Focus"] = "204a87",
	["Asphyxiate"] = "ad7fa8",
	["Dismantle"] = "c4a000",
	["Icy Talons"] = "3465a4",
	["Darkflight"] = "8ae234",
	["Frost Nova"] = "3465a4",
	["Deep Insight"] = "ce5c00",
	["Ritual of Summoning"] = "5c3566",
	["Touch of Karma"] = "888a85",
	["Killing Machine"] = "204a87",
	["Freeze"] = "729fcf",
	["Fingers of Frost"] = "204a87",
	["Crackling Jade Lightning"] = "4e9a06",
	["Invoke Xuen, the White Tiger"] = "888a85",
	["Illusion"] = "888a85",
	["Tigereye Brew"] = "3465a4",
	["Momentum"] = "f57900",
	["Tiger's Lust"] = "c4a000",
	["Track Undead"] = "4e9a06",
	["Earthquake"] = "888a85",
	["Summon Jade Serpent Statue"] = "4e9a06",
	["Spear Hand Strike"] = "c4a000",
	["Elemental Blast"] = "ad7fa8",
	["Portal: Stormwind"] = "729fcf",
	["Ancient Guardian"] = "8f5902",
	["Moonkin Aura"] = "ad7fa8",
	["Eminence"] = "4e9a06",
	["Word of Glory"] = "c4a000",
	["Bind Elemental"] = "ff6eb4",
	["Slow Fall"] = "ff6eb4",
	["Nature's Grasp"] = "8f5902",
	["Lichborne"] = "888a85",
	["Archimonde's Vengeance"] = "fcaf3e",
	["Blood Fear"] = "204a87",
	["Death Gate"] = "ad7fa8",
	["Spirit Link Totem"] = "73d216",
	["Zen Sphere"] = "7adbf2",
	["Shattering Throw"] = "73d216",
	["Mass Entanglement"] = "8f5902",
	["Cone of Cold"] = "7adbf2",
	["Shockwave"] = "7adbf2",
	["Taunt"] = "fcaf3e",
	["Mastery: Divine Bulwark"] = "fce94f",
	["Avatar"] = "4e9a06",
	["A Murder of Crows"] = "204a87",
	["Banish"] = "3465a4",
	["Dragon Roar"] = "ce5c00",
	["Weakened Soul"] = "ce5c00",
	["Vampiric Blood"] = "a40000",
	["Cower"] = "3465a4",
	["Chi Wave"] = "8ae234",
	["Second Wind"] = "ff6eb4",
	["Combat Readiness"] = "ce5c00",
	["Haunt"] = "5c3566",
	["Black Arrow"] = "5c3566",
	["Swiftblade's Cunning"] = "ce5c00",
	["Stance of the Fierce Tiger"] = "204a87",
	["Ice Barrier"] = "4e9a06",
	["Dreadsteed"] = "c17d11",
	["Inner Will"] = "7adbf2",
	["Reckoning"] = "ce5c00",
	["Bullheaded"] = "ce5c00",
	["Stagger"] = "4e9a06",
	["Eternal Flame"] = "c4a000",
	["Soul Link"] = "888a85",
	["Gore"] = "8f5902",
	["Magma Totem"] = "a40000",
	["Prayer of Mending"] = "edd400",
	["Ice Ward"] = "5c3566",
	["Dizzying Haze"] = "ce5c00",
	["Piercing Shots"] = "cc0000",
	["Path of Blossoms"] = "cc0000",
	["Blood Pact"] = "a40000",
	["Divine Shield"] = "fce94f",
	["Mastery: Harmony"] = "fce94f",
	["Killing Spree"] = "c4a000",
	["Cleave"] = "73d216",
	["Auto Shot"] = "3465a4",
	["Avenging Wrath"] = "fce94f",
	["Growl"] = "f57900",
	["Repentance"] = "c17d11",
	["The Beast Within"] = "ef2929",
	["Fear"] = "888a85",
	["Clash"] = "f57900",
	["Owl's Focus"] = "888a85",
	["Maul"] = "c17d11",
	["Power Word: Shield"] = "c4a000",
	["Renewing Mist"] = "4e9a06",
	["Shadowfiend"] = "75507b",
	["Time Warp"] = "ad7fa8",
	["Agony"] = "fcaf3e",
	["Blindside"] = "75507b",
	["Soothing Mist"] = "4e9a06",
	["Enraged"] = "ef2929",
	["Tame Beast"] = "8ae234",
	["Lightning Bolt"] = "729fcf",
	["Mastery: Echo of Light"] = "fce94f",
	["Colossus Smash"] = "8f5902",
	["Faerie Swarm"] = "ff6eb4",
	["Purifying Brew"] = "8ae234",
	["Grounding Totem Effect"] = "75507b",
	["Rising Sun Kick"] = "fcaf3e",
	["Avenger's Shield"] = "f57900",
	["Frost Armor"] = "729fcf",
	["Frost Breath"] = "729fcf",
	["Corruption"] = "a40000",
	["Evasion"] = "ad7fa8",
	["Power Infusion"] = "fce94f",
	["Master Poisoner"] = "8ae234",
	["Curse of Enfeeblement"] = "4e9a06",
	["Mind Freeze"] = "5c3566",
	["Totemic Projection"] = "3465a4",
	["Flames of Xoroth"] = "ff6eb4",
	["Master's Call"] = "edd400",
	["Sated"] = "8f5902",
	["Master Demonologist"] = "5c3566",
	["Light of Dawn"] = "fce94f",
	["Physical School"] = "e9b96e",
	["Rebuke"] = "8f5902",
	["Mana Tea"] = "3465a4",
	["Arcane Missiles"] = "729fcf",
	["Life Cocoon"] = "8ae234",
	["Shadowy Apparition"] = "5c3566",
	["Grace"] = "204a87",
	["Leg Sweep"] = "fce94f",
	["Leer of the Ox"] = "888a85",
	["Molten Armor"] = "f57900",
	["Unleash Frost"] = "204a87",
	["Shroud of Purgatory"] = "8ae234",
	["Aspect of the Beast"] = "ff6eb4",
	["Dampen Harm"] = "ce5c00",
	["Strangulate"] = "73d216",
	["Demonic Rebirth"] = "a40000",
	["Psychic Horror"] = "5c3566",
	["Blessing of Might"] = "729fcf",
	["Freezing Trap"] = "5c3566",
	["Dark Bargain"] = "5c3566",
	["Renew"] = "73d216",
	["Rocket Barrage"] = "ef2929",
	["Healing Sphere"] = "73d216",
	["Mindbender"] = "5c3566",
	["Crimson Scourge"] = "cc0000",
	["Detox"] = "75507b",
	["Bite"] = "e9b96e",
	["Carrion Feeder"] = "a40000",
	["Soul of the Forest"] = "8ae234",
	["Tiger's Fury"] = "c4a000",
	["Cold Snap"] = "3465a4",
	["Stampeding Roar"] = "fcaf3e",
	["Chi Brew"] = "888a85",
	["Plague Leech"] = "4e9a06",
	["Devotion Aura"] = "729fcf",
	["Intimidation"] = "8f5902",
	["Horn of Winter"] = "8f5902",
	["Legion Strike"] = "888a85",
	["Supplication"] = "f57900",
	["Rejuvenation"] = "8ae234",
	["Mana Attunement"] = "3465a4",
	["Sudden Doom"] = "ad7fa8",
	["Death and Decay"] = "ce5c00",
	["Axe Toss"] = "ce5c00",
	["Beast Lore"] = "ef2929",
	["Holy Power"] = "4e9a06",
	["Divine Plea"] = "c4a000",
	["Winged Steed of the Ebon Blade"] = "f57900",
	["Void Shift"] = "ad7fa8",
	["Vampiric Touch"] = "5c3566",
	["Heroic Throw"] = "5c3566",
	["Outbreak"] = "4e9a06",
	["Arcane Shot"] = "204a87",
	["Slow"] = "ce5c00",
	["Deterrence"] = "7adbf2",
	["Bestial Wrath"] = "ef2929",
	["Fire Elemental Totem"] = "ce5c00",
	["Searing Flames"] = "ce5c00",
	["Earthgrab"] = "8f5902",
	["Soulburn"] = "ad7fa8",
	["Stone Bulwark Totem"] = "e9b96e",
	["Rocket Jump"] = "fcaf3e",
	["Mastery: Hand of Light"] = "c4a000",
	["Frostbolt"] = "5c3566",
	["Portal: Silvermoon"] = "729fcf",
	["Speed of Light"] = "fcaf3e",
	["Static Charge"] = "204a87",
	["Raise Ally"] = "888a85",
	["Army of the Dead"] = "5c3566",
	["Archangel"] = "fce94f",
	["Shred"] = "edd400",
	["Cannibalize"] = "fcaf3e",
	["Halo"] = "c4a000",
	["Hemorrhage"] = "a40000",
	["Holy School"] = "fce94f",
	["Fade"] = "7adbf2",
	["Hand of Purity"] = "8f5902",
	["Culling the Herd"] = "c17d11",
	["Mastery: Razor Claws"] = "8f5902",
	["Astral Recall"] = "75507b",
	["Purge"] = "ad7fa8",
	["Pin"] = "204a87",
	["Lunar Shower"] = "7adbf2",
	["Felsteed"] = "c17d11",
	["Healing Touch"] = "8ae234",
	["Binding Shot"] = "ff6eb4",
	["Shuffle"] = "8ae234",
	["Seal of Truth"] = "c4a000",
	["Dark Regeneration"] = "4e9a06",
	["Ascendance"] = "5c3566",
	["Temporal Shield"] = "75507b",
	["Soul Reaper"] = "73d216",
	["Mind Blast"] = "edd400",
	["Holy Fire"] = "edd400",
	["Power Guard"] = "c17d11",
	["Gouge"] = "ef2929",
	["Nerve Strike"] = "cc0000",
	["Rune of Power"] = "3465a4",
	["Stampede"] = "c4a000",
	["Dispersion"] = "ad7fa8",
	["Track Demons"] = "c17d11",
	["Portal: Thunder Bluff"] = "729fcf",
	["Seal of Justice"] = "f57900",
	["Vital Mists"] = "204a87",
	["Portal: Dalaran"] = "729fcf",
	["Borrowed Time"] = "c4a000",
	["Prowl"] = "75507b",
	["Dancing Rune Weapon"] = "fce94f",
	["Portal: Shattrath"] = "729fcf",
	["Empower Rune Weapon"] = "ad7fa8",
	["Distracting Shot"] = "75507b",
	["Mastery: Mana Adept"] = "729fcf",
	["Barrage"] = "3465a4",
	["Disoriented"] = "888a85",
	["Dark Soul: Instability"] = "ce5c00",
	["Victorious"] = "f57900",
}

-- Add colors to the database
function Adapter_SpellColors.OnEnable()
	DB = Puffin.Component("Data") -- link to data management functions
	assert(DB, EF("Adapter_SpellColors", "Data component not found"))
	DB.SetRecord("defaults", "spell_colors", spellColors)
	DB.SetRecord("defaults", "standard_colors", standardColors)
end

Puffin.RegisterComponent("Adapter_SpellColors", Adapter_SpellColors, "ADAPTER", 1)
